org.apache.ignite.internal.processors.cache.distributed.near.consistency

## Class GridNearReadRepairAbstractFuture.IgniteConsistencyCheckFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture.IgniteConsistencyCheckFailedException

All Implemented Interfaces:
  Serializable

Enclosing class:
  GridNearReadRepairAbstractFuture

    protected static final class GridNearReadRepairAbstractFuture.IgniteConsistencyCheckFailedException
    extends IgniteCheckedException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteConsistencyCheckFailedException(Set<KeyCacheObject> keys)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<KeyCacheObject>` `keys()` Inconsistent entries keys.

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteConsistencyCheckFailedException

    public IgniteConsistencyCheckFailedException(Set<KeyCacheObject> keys)

Parameters:
  `keys` - Keys.

### Method Detail

#### keys

    public Set<KeyCacheObject> keys()

Inconsistent entries keys.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022